xpra icon
Bug tracker and wiki

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#1197 closed defect (fixed)

Trying to install 0.18.x on fedora 23 from winswitch-beta repo failing with dependncy error

Reported by: alas Owned by: alas
Priority: minor Milestone: 1.0
Component: packaging Version: trunk
Keywords: Cc:

Description

Trying to set up a fedora 23 machine using the winswitch-beta repo seems to only allow installing of the 0.16.4 xpra.

Trying to force install of 0.18.0 versions dnf is listing as available (dnf install xpra-0.18.0-0.20160513r12577.fc23 xpra-common-0.18.0-0.20160513r12577.fc23) is failing with the following error message:

Error: nothing provides libxvidcore.so.4()(64bit) needed by xpra-0.18.0-0.20160513r12577.fc23.x86_64

(Yes, I was able to find that library here http://www.rpmfind.net/linux/rpm2html/search.php?query=libxvidcore.so.4()(64bit) ... but I just wanted to let you know that the repo is handing out an error.)

Change History (5)

comment:1 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to alas

Thanks. I have posted xvidcore rpms for Fedora (centos and suse were already present) into the stable repo, where it should have been included for the 0.17.0 release since the base packages should not depend on any non-standard repositories (no rpmfusion).

For more details on xvid, see #1142.

For finding rpms, it is best to use http://rpm.pbone.net/

comment:2 Changed 3 years ago by alas

Resolution: fixed
Status: newclosed

Set up a new VM to test - installed 0.18.0-0.20160513r12577.fc23 from repos without a hitch.

Closing.

comment:3 Changed 3 years ago by alas

Ooops, spoke too soon... installing from the repo actually installed the 0.16.4 without a hitch... disabling the winswitch not-beta option in the repo and trying to force the beta install (version listed above) is still throwing the error... which isn't really surprising since it's the same version that threw it in the first place.

I'll leave this closed, presuming there will be no issues.

comment:4 Changed 3 years ago by Antoine Martin

Actually I had missed xvidcore from the main repo too, thanks for pointing that out.

comment:5 Changed 3 years ago by Antoine Martin

Milestone: 0.181.0

Milestone renamed

Note: See TracTickets for help on using tickets.